| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
fsl_Sensor_Custom_1_Functions module documentation

## Data Structures
struct | Custom_1_DataBuffer_t
| This structure defines the dummy DSA data buffer format. More...
struct | Custom_1_SensorData_EngFixed_t
struct | Custom_1_SensorData_Float_t
| Standard fixed type for three axis accelerometers. More...
struct | Custom_1_Sensor_Specific_Reg_t
struct | Custom_1_Sensor_Specific_Settings_t
struct | Custom_1_Rate_Specific_Settings_t
| This structure defines important settings. More...

## Macros
#define | Custom_1_CONVERT_FLOAT_FACTOR 0.000061
#define | Custom_1_CONVERT_FIXED_FACTOR 4
#define | __fsl_Sensor_Custom_1_Functions_H_
#define | Custom_1_DATA_TYPE Custom_1_DataBuffer_t
#define | __fsl_Sensor_Custom_1_Functions_H__
#define | Custom_1_SET_FIELD(name, val) (((val)<<Custom_1_##name##_SHIFT)&(Custom_1_##name##_MASK))
#define | Custom_1_GET_FIELD(name, val) ((val&Custom_1_##name##_MASK)>>Custom_1_##name##_SHIFT)
#define | Custom_1_FREAD_MASK 0x02
#define | Custom_1_FREAD_SHIFT 1
#define | Custom_1_ASLP_RATE_MASK 0xC0
#define | Custom_1_ASLP_RATE_SHIFT 6
#define | Custom_1_DR_MASK 0x38
#define | Custom_1_DR_SHIFT 3
#define | Custom_1_ST_MASK 0x80
#define | Custom_1_ST_SHIFT 7
#define | Custom_1_RST_MASK 0x40
#define | Custom_1_RST_SHIFT 6
#define | Custom_1_SLPE_MASK 0x04
#define | Custom_1_SLPE_SHIFT 2
#define | Custom_1_SMODS_MASK 0x18
#define | Custom_1_SMODS_SHIFT 3
#define | Custom_1_MODS_MASK 0x03
#define | Custom_1_MODS_SHIFT 0
#define | Custom_1_ZYXDR_MASK 0x08
#define | Custom_1_ZYXDR_SHIFT 3
#define | Custom_1_ACTIVE_MASK 0x01

## Typedefs
typedef int32 | Custom_1_Status_t
| SENSOR internal return codes. More...
typedef uint32_t | isf_Custom_1_fixed_data_t
typedef float | isf_Custom_1_float_data_t

## Enumerations
enum | { Custom_1_STATUS_00 = 0x00, Custom_1_WHO_AM_I = 0x0D, Custom_1_CTRL_REG1 = 0x2A, Custom_1_CTRL_REG2 = 0x2B }
enum | { Custom_1_SUCCESS, Custom_1_DATA_OVERWRITE, Custom_1_ERROR }

## Functions
void | Custom_1__Void_ ()
isf_dsa_status_t | Custom_1_float_Custom_converter (Custom_1_Sensor_Specific_Settings_t *pSensorSpecificConfig, Custom_1_DataBuffer_t *nativeSample, void *vpConvertedSample)
isf_dsa_status_t | Custom_1_fixed_Custom_converter (Custom_1_Sensor_Specific_Settings_t *pSensorSpecificConfig, Custom_1_DataBuffer_t *nativeSample, void *vpConvertedSample)
isf_dsa_status_t | fsl_Sensor_Custom_1_Convert (volatile isf_SensorHandle_t *pSensorHandle, isf_SensorDataTypes_t convertToType, isf_dsa_result_types_t resultType, void *pNativeSample, void *pConvertedSample, int32_t *numBytes)
isf_dsa_status_t | fsl_Sensor_Custom_1_Configure (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
isf_dsa_status_t | fsl_Sensor_Custom_1_ValidateSettings (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
isf_dsa_status_t | fsl_Sensor_Custom_1_Initialize (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_Sensor_Custom_1_StartData (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_Sensor_Custom_1_EndData (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_Sensor_Custom_1_Shutdown (isf_SensorHandle_t *pSensorHandle)
void | Custom_1_fsl_Sensor_Custom_Convert (volatile void *pSensorHandle, uint32_t convertToType, uint8_t resultType, void *pNativeSample, void *pConvertedSample, int32_t *numBytes, uint8_t *retVal)
void | Custom_1_fsl_Sensor_Custom_PeriodicCallback (void *pSensorHandle)
void | Custom_1_fsl_Sensor_Custom_Shutdown (void *pSensorHandle, uint8_t *retVal)
void | Custom_1_fsl_Sensor_Custom_EndData (void *pSensorHandle, uint8_t *retVal)
void | Custom_1_fsl_Sensor_Custom_StartData (void *pSensorHandle, uint8_t *retVal)
void | Custom_1_fsl_Sensor_Custom_Configure (void *pSensorHandle, void *pSensorSettings, uint8_t *retVal)
void | Custom_1_fsl_Sensor_Custom_ValidateSettings (void *pSensorHandle, void *pSensorSettings, uint8_t *retVal)
void | Custom_1_fsl_Sensor_Custom_Initialize (void *pSensorHandle, uint8_t *retVal)

## Variables
const uint8_t | Custom_1_Who_Am_I_Values [] = {0x4A, 0x5A}
| Define the WHO_AM_I register values for both possible sensor variations. More...
Custom_1_Sensor_Specific_Settings_t | Custom_1_Sensor_Specific_Config
| This allows access to the sensor specific configuration for the target sensor. More...
const i2c_device_t | Custom_1_DeviceInfo
| This allows access to the sensor communications specific configuration. More...
isf_SensorTypes_t | Custom_1_SupportedSensorTypes []
| Supported sensor and data types for the Sensor. More...
isf_SensorDataTypes_t | Custom_1_SupportedDataTypes []
const uint8_t | Custom_1_Who_Am_I_Values []
| Define the WHO_AM_I register values for both possible sensor variations. More...

## Detailed Description

## Macro Definition Documentation

#define __fsl_Sensor_Custom_1_Functions_H_

Definition at line 109 of file fsl_Sensor_Custom_1_Functions.h.

#define __fsl_Sensor_Custom_1_Functions_H__

Definition at line 142 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_ACTIVE_MASK 0x01

Definition at line 211 of file fsl_Sensor_Custom_1_Functions.h.

Referenced by Custom_1_fsl_Sensor_Custom_Configure(), Custom_1_fsl_Sensor_Custom_EndData(), and Custom_1_fsl_Sensor_Custom_StartData().

#define Custom_1_ASLP_RATE_MASK 0xC0

Definition at line 195 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_ASLP_RATE_SHIFT 6

Definition at line 196 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_CONVERT_FIXED_FACTOR 4

Definition at line 77 of file fsl_Sensor_Custom_1_Functions.c.

Referenced by Custom_1_fixed_Custom_converter().

#define Custom_1_CONVERT_FLOAT_FACTOR 0.000061

Definition at line 76 of file fsl_Sensor_Custom_1_Functions.c.

Referenced by Custom_1_float_Custom_converter().

#define Custom_1_DATA_TYPE Custom_1_DataBuffer_t

Definition at line 137 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_DR_MASK 0x38

Definition at line 197 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_DR_SHIFT 3

Definition at line 198 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_FREAD_MASK 0x02

Definition at line 193 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_FREAD_SHIFT 1

Definition at line 194 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_GET_FIELD | ( |  | name,
|  |  | val
| ) |  | ((val&Custom_1_##name##_MASK)>>Custom_1_##name##_SHIFT)

Definition at line 191 of file fsl_Sensor_Custom_1_Functions.h.

Referenced by Custom_1_fsl_Sensor_Custom_PeriodicCallback(), and Custom_1_fsl_Sensor_Custom_StartData().

#define Custom_1_MODS_MASK 0x03

Definition at line 207 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_MODS_SHIFT 0

Definition at line 208 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_RST_MASK 0x40

Definition at line 201 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_RST_SHIFT 6

Definition at line 202 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_SET_FIELD | ( |  | name,
|  |  | val
| ) |  | (((val)<<Custom_1_##name##_SHIFT)&(Custom_1_##name##_MASK))

Definition at line 190 of file fsl_Sensor_Custom_1_Functions.h.

Referenced by Custom_1_fsl_Sensor_Custom_Configure().

#define Custom_1_SLPE_MASK 0x04

Definition at line 203 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_SLPE_SHIFT 2

Definition at line 204 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_SMODS_MASK 0x18

Definition at line 205 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_SMODS_SHIFT 3

Definition at line 206 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_ST_MASK 0x80

Definition at line 199 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_ST_SHIFT 7

Definition at line 200 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_ZYXDR_MASK 0x08

Definition at line 209 of file fsl_Sensor_Custom_1_Functions.h.

#define Custom_1_ZYXDR_SHIFT 3

Definition at line 210 of file fsl_Sensor_Custom_1_Functions.h.

## Typedef Documentation

typedef int32 Custom_1_Status_t

SENSOR internal return codes.

Definition at line 114 of file fsl_Sensor_Custom_1_Functions.h.

typedef uint32_t isf_Custom_1_fixed_data_t

Definition at line 115 of file fsl_Sensor_Custom_1_Functions.h.

typedef float isf_Custom_1_float_data_t

Definition at line 116 of file fsl_Sensor_Custom_1_Functions.h.

## Enumeration Type Documentation

anonymous enum

Enumerator
Custom_1_STATUS_00 |
Custom_1_WHO_AM_I |
Custom_1_CTRL_REG1 |
Custom_1_CTRL_REG2 |

Definition at line 167 of file fsl_Sensor_Custom_1_Functions.h.

anonymous enum

Enumerator
Custom_1_SUCCESS |
Custom_1_DATA_OVERWRITE |
Custom_1_ERROR |

Definition at line 175 of file fsl_Sensor_Custom_1_Functions.h.

## Function Documentation

void Custom_1__Void_ | ( |  | ) |

Definition at line 55 of file fsl_Sensor_Custom_1_Functions.c.

isf_dsa_status_t Custom_1_fixed_Custom_converter | ( | Custom_1_Sensor_Specific_Settings_t * | pSensorSpecificConfig,
|  | Custom_1_DataBuffer_t * | nativeSample,
|  | void * | vpConvertedSample
| ) |  |

Definition at line 109 of file fsl_Sensor_Custom_1_Functions.c.

References Custom_1_CONVERT_FIXED_FACTOR, Custom_1_DataBuffer_t::data, ISF_SUCCESS, Custom_1_SensorData_EngFixed_t::sensorData, Custom_1_DataBuffer_t::timeStamp, and Custom_1_SensorData_EngFixed_t::timestamp.

Referenced by Custom_1_fsl_Sensor_Custom_Convert().

Here is the caller graph for this function:

isf_dsa_status_t Custom_1_float_Custom_converter | ( | Custom_1_Sensor_Specific_Settings_t * | pSensorSpecificConfig,
|  | Custom_1_DataBuffer_t * | nativeSample,
|  | void * | vpConvertedSample
| ) |  |

Definition at line 97 of file fsl_Sensor_Custom_1_Functions.c.

References Custom_1_CONVERT_FLOAT_FACTOR, Custom_1_DataBuffer_t::data, ISF_SUCCESS, Custom_1_SensorData_Float_t::sensorData, Custom_1_DataBuffer_t::timeStamp, and Custom_1_SensorData_Float_t::timestamp.

Referenced by Custom_1_fsl_Sensor_Custom_Convert().

Here is the caller graph for this function:

void Custom_1_fsl_Sensor_Custom_Configure | ( | void * | pSensorHandle,
|  | void * | pSensorSettings,
|  | uint8_t * | retVal
| ) |  |

Definition at line 541 of file fsl_Sensor_Custom_1_Functions.c.

References BM_ERROR, bm_register_periodic_callback(), DeviceDescriptor_struct::cDescriptor, Custom_1_ACTIVE_MASK, Custom_1_CTRL_REG1, Custom_1_CTRL_REG2, Custom_1_ERROR, Custom_1_fsl_Sensor_Custom_PeriodicCallback(), Custom_1_SET_FIELD, DeviceDescriptor_struct::deviceHandle, DeviceDescriptor_struct::deviceSemaphore, dm_channel_acquire_lock(), dm_channel_release_lock(), dm_device_read(), dm_device_write(), DSA_ERR_CONFIGURE, DSA_ERR_PARAM, DSA_STATE_CONFIGURED_STOPPED, DSA_STATE_INITIALIZED, ISF_SUCCESS, SENSOR_ERROR_SETMODE, and DeviceDescriptor_struct::token.

Referenced by fsl_Sensor_Custom_1_Configure().

Here is the call graph for this function:

Here is the caller graph for this function:

void Custom_1_fsl_Sensor_Custom_Convert | ( | volatile void * | pSensorHandle,
|  | uint32_t | convertToType,
|  | uint8_t | resultType,
|  | void * | pNativeSample,
|  | void * | pConvertedSample,
|  | int32_t * | numBytes,
|  | uint8_t * | retVal
| ) |  |

Definition at line 185 of file fsl_Sensor_Custom_1_Functions.c.

References Custom_1_fixed_Custom_converter(), Custom_1_float_Custom_converter(), DSA_ERR_BAD_RESULT_TYPE, DSA_ERR_BAD_SENSOR_DATA_TYPE, DSA_RESULT_TYPE_ENG_FIXED, DSA_RESULT_TYPE_ENG_FLOAT, and TYPE_RAW_ACCELERATION_3D.

Referenced by fsl_Sensor_Custom_1_Convert().

Here is the call graph for this function:

Here is the caller graph for this function:

void Custom_1_fsl_Sensor_Custom_EndData | ( | void * | pSensorHandle,
|  | uint8_t * | retVal
| ) |  |

Definition at line 372 of file fsl_Sensor_Custom_1_Functions.c.

References BM_ERROR, bm_stop(), Custom_1_ACTIVE_MASK, Custom_1_CTRL_REG1, DeviceDescriptor_struct::deviceHandle, DeviceDescriptor_struct::deviceSemaphore, dm_device_read(), dm_device_write(), DSA_ERR_END_DATA, DSA_ERR_PARAM, DSA_STATE_CONFIGURED_STARTED, DSA_STATE_CONFIGURED_STOPPED, ISF_SUCCESS, SENSOR_ERROR_SETMODE, and DeviceDescriptor_struct::token.

Referenced by fsl_Sensor_Custom_1_EndData().

Here is the call graph for this function:

Here is the caller graph for this function:

void Custom_1_fsl_Sensor_Custom_Initialize | ( | void * | pSensorHandle,
|  | uint8_t * | retVal
| ) |  |

Definition at line 685 of file fsl_Sensor_Custom_1_Functions.c.

References Custom_1_DataBuffer_t::addr, DeviceDescriptor_struct::cDescriptor, COMM_STATE_OK, Custom_1_WHO_AM_I, Custom_1_DataBuffer_t::data, DeviceDescriptor_struct::deviceHandle, DeviceDescriptor_struct::deviceSemaphore, dm_channel_get_state(), dm_channel_init(), dm_channel_start(), dm_device_open(), dm_device_read(), DSA_ERR_INITIALIZE, DSA_ERR_PARAM, DSA_STATE_INITIALIZED, DSA_STATE_NOT_INITIALIZED, ISF_SUCCESS, DeviceDescriptor_struct::pCurrentSample, SENSOR_ERROR_CHECKID, DeviceDescriptor_struct::skipFramecnt, and Custom_1_DataBuffer_t::timeStamp.

Referenced by fsl_Sensor_Custom_1_Initialize().

Here is the call graph for this function:

Here is the caller graph for this function:

void Custom_1_fsl_Sensor_Custom_PeriodicCallback | ( | void * | pSensorHandle | ) |

Definition at line 232 of file fsl_Sensor_Custom_1_Functions.c.

References isf_SensorHandle_st::adapterStatus, BYTES_FOR_FULL_READ, isf_SensorHandle_st::controlData, Custom_1_GET_FIELD, Custom_1_STATUS_00, Custom_1_DataBuffer_t::data, DeviceDescriptor_struct::deviceHandle, DeviceDescriptor_struct::deviceSemaphore, dm_device_read(), DSA_STATE_CONFIGURED_STARTED, fsl_Sensor_Custom_1_Convert(), isf_fifo_el_get_insert_pointer(), isf_fifo_el_increment(), ISF_FIFO_FULL, isf_fifo_lock(), isf_fifo_unlock(), ISF_SUCCESS, isf_time_util_get_usec(), isf_dsa_ControlData_st::nEventFieldIndex, DeviceDescriptor_struct::pCurrentSample, isf_SensorHandle_st::pDeviceDescriptor, isf_dsa_ControlData_st::pEventGroup, isf_dsa_SensorSettings_st::pSampleBufferInfo, pSensorData, isf_dsa_SensorSettings_st::resultFormat, isf_dsa_SensorSettings_st::resultType, isf_dsa_ControlData_st::sensorSettings, DeviceDescriptor_struct::skipFramecnt, Custom_1_DataBuffer_t::timeStamp, and TYPE_NATIVE_SENSOR_DATA_TYPE.

Referenced by Custom_1_fsl_Sensor_Custom_Configure().

Here is the call graph for this function:

Here is the caller graph for this function:

void Custom_1_fsl_Sensor_Custom_Shutdown | ( | void * | pSensorHandle,
|  | uint8_t * | retVal
| ) |  |

Definition at line 341 of file fsl_Sensor_Custom_1_Functions.c.

References bm_unregister_callback(), DSA_ERR_PARAM, DSA_STATE_INITIALIZED, ISF_SUCCESS, and DeviceDescriptor_struct::token.

Referenced by fsl_Sensor_Custom_1_Shutdown().

Here is the call graph for this function:

Here is the caller graph for this function:

void Custom_1_fsl_Sensor_Custom_StartData | ( | void * | pSensorHandle,
|  | uint8_t * | retVal
| ) |  |

Definition at line 452 of file fsl_Sensor_Custom_1_Functions.c.

References BM_ERROR, bm_start(), Custom_1_ACTIVE_MASK, Custom_1_CTRL_REG1, Custom_1_GET_FIELD, Custom_1_STATUS_00, DeviceDescriptor_struct::deviceHandle, DeviceDescriptor_struct::deviceSemaphore, dm_device_read(), dm_device_write(), DSA_ERR_PARAM, DSA_ERR_START_DATA, DSA_STATE_CONFIGURED_STARTED, DSA_STATE_CONFIGURED_STOPPED, FALSE, ISF_SUCCESS, SENSOR_ERROR_SETMODE, and DeviceDescriptor_struct::token.

Referenced by fsl_Sensor_Custom_1_StartData().

Here is the call graph for this function:

Here is the caller graph for this function:

void Custom_1_fsl_Sensor_Custom_ValidateSettings | ( | void * | pSensorHandle,
|  | void * | pSensorSettings,
|  | uint8_t * | retVal
| ) |  |

Definition at line 659 of file fsl_Sensor_Custom_1_Functions.c.

References DSA_ERR_PARAM, and ISF_SUCCESS.

Referenced by fsl_Sensor_Custom_1_ValidateSettings().

Here is the caller graph for this function:

isf_dsa_status_t fsl_Sensor_Custom_1_Configure | ( | isf_SensorHandle_t * | pSensorHandle,
|  | isf_dsa_SensorSettings_t * | pSensorSettings
| ) |  |

Definition at line 128 of file fsl_Sensor_Custom_1_Functions.c.

References Custom_1_fsl_Sensor_Custom_Configure().

Here is the call graph for this function:

isf_dsa_status_t fsl_Sensor_Custom_1_Convert | ( | volatile isf_SensorHandle_t * | pSensorHandle,
|  | isf_SensorDataTypes_t | convertToType,
|  | isf_dsa_result_types_t | resultType,
|  | void * | pNativeSample,
|  | void * | pConvertedSample,
|  | int32_t * | numBytes
| ) |  |

Definition at line 122 of file fsl_Sensor_Custom_1_Functions.c.

References Custom_1_fsl_Sensor_Custom_Convert().

Referenced by Custom_1_fsl_Sensor_Custom_PeriodicCallback().

Here is the call graph for this function:

Here is the caller graph for this function:

isf_dsa_status_t fsl_Sensor_Custom_1_EndData | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 152 of file fsl_Sensor_Custom_1_Functions.c.

References Custom_1_fsl_Sensor_Custom_EndData().

Here is the call graph for this function:

isf_dsa_status_t fsl_Sensor_Custom_1_Initialize | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 140 of file fsl_Sensor_Custom_1_Functions.c.

References Custom_1_fsl_Sensor_Custom_Initialize().

Here is the call graph for this function:

isf_dsa_status_t fsl_Sensor_Custom_1_Shutdown | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 158 of file fsl_Sensor_Custom_1_Functions.c.

References Custom_1_fsl_Sensor_Custom_Shutdown().

Here is the call graph for this function:

isf_dsa_status_t fsl_Sensor_Custom_1_StartData | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 146 of file fsl_Sensor_Custom_1_Functions.c.

References Custom_1_fsl_Sensor_Custom_StartData().

Here is the call graph for this function:

isf_dsa_status_t fsl_Sensor_Custom_1_ValidateSettings | ( | isf_SensorHandle_t * | pSensorHandle,
|  | isf_dsa_SensorSettings_t * | pSensorSettings
| ) |  |

Definition at line 134 of file fsl_Sensor_Custom_1_Functions.c.

References Custom_1_fsl_Sensor_Custom_ValidateSettings().

Here is the call graph for this function:

## Variable Documentation

const i2c_device_t Custom_1_DeviceInfo

Initial value:
=
{
.baudRate_kbps = 400,
.address = 29
}

This allows access to the sensor communications specific configuration.

Updated as per MMA865x device settings.

Definition at line 80 of file fsl_Sensor_Custom_1_Functions.c.

Custom_1_Sensor_Specific_Settings_t Custom_1_Sensor_Specific_Config

Initial value:
=
{
.sensorFullScaleRange = 0,
.regCount = 2,
.regPairs =
{
{ Custom_1_CTRL_REG1, (Custom_1_SET_FIELD(ASLP_RATE,0)) | (Custom_1_SET_FIELD(DR,0)) | (Custom_1_SET_FIELD(FREAD,0)) },
{ Custom_1_CTRL_REG2, (Custom_1_SET_FIELD(ST,0)) | (Custom_1_SET_FIELD(RST,0)) | (Custom_1_SET_FIELD(SMODS,0)) | (Custom_1_SET_FIELD(SLPE,0)) | (Custom_1_SET_FIELD(MODS,0)) }
}
}
Custom_1_CTRL_REG2
Definition: fsl_Sensor_Custom_1_Functions.h:172
Custom_1_CTRL_REG1
Definition: fsl_Sensor_Custom_1_Functions.h:171
Custom_1_SET_FIELD
#define Custom_1_SET_FIELD(name, val)
Definition: fsl_Sensor_Custom_1_Functions.h:190

This allows access to the sensor specific configuration for the target sensor.

Definition at line 62 of file fsl_Sensor_Custom_1_Functions.c.

isf_SensorDataTypes_t Custom_1_SupportedDataTypes[]

Initial value:
=
{
TYPE_RAW_ACCELERATION_3D, TYPE_NATIVE_SENSOR_DATA_TYPE
}
TYPE_RAW_ACCELERATION_3D
Definition: isf_sensor_types.h:71
TYPE_NATIVE_SENSOR_DATA_TYPE
Definition: isf_sensor_types.h:63

Definition at line 92 of file fsl_Sensor_Custom_1_Functions.c.

isf_SensorTypes_t Custom_1_SupportedSensorTypes[]

Initial value:
=
{
TYPE_ACCELEROMETER_3D, TYPE_NATIVE_SENSOR_TYPE
}
TYPE_NATIVE_SENSOR_TYPE
Definition: isf_sensor_types.h:15
TYPE_ACCELEROMETER_3D
Definition: isf_sensor_types.h:20

Supported sensor and data types for the Sensor.

Supported sensor and data types.

Definition at line 87 of file fsl_Sensor_Custom_1_Functions.c.

const uint8_t Custom_1_Who_Am_I_Values[] = {0x4A, 0x5A}

Define the WHO_AM_I register values for both possible sensor variations.

Definition at line 59 of file fsl_Sensor_Custom_1_Functions.c.

const uint8_t Custom_1_Who_Am_I_Values[]

Define the WHO_AM_I register values for both possible sensor variations.

Definition at line 59 of file fsl_Sensor_Custom_1_Functions.c.

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.